<?xml version="1.0"?>
<!-- -->
<!-- DataPower Sales Team Routing -->
<!-- -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:dp="http://www.datapower.com/extensions" xmlns:date="http://exslt.org/dates-and-times" xmlns:str="http://exslt.org/strings" exclude-result-prefixes="dp str" extension-element-prefixes="dp">
	<!-- -->
	<!-- Fetch the DataPower Sales -->
	<!-- -->
	<xsl:variable name="routingDoc" select="document('local:///BookQueryServiceRouting.xml')"/>
	<xsl:template match="/">
		<!-- -->
		<!-- Get the clients Distinguished Name from SSL Certificate  -->
		<!-- Tokenize it and get the DN  -->
		<!-- -->
		<xsl:variable name="subjectDN" select="dp:client-subject-dn()"/>
		<xsl:variable name="DNTokens" select="str:tokenize(string($subjectDN), '/')"/>
		<!-- -->
		<xsl:message>
			<xsl:value-of select="'seralized DN Tokens'"/>
			<dp:serialize select="$DNTokens"/>
		</xsl:message>
		<!-- -->
		<xsl:variable name="CNString" select="$DNTokens/self::token[substring(text(),1,3)='CN=']/text()"/>
		<!-- -->
		<xsl:variable name="host" select="$routingDoc/routingDestinations/destinations[@subjectCN=$CNString]/host/text()"/>
		<xsl:variable name="port" select="$routingDoc/routingDestinations/destinations[@subjectCN=$CNString]/port/text()"/>
		<xsl:variable name="sslid" select="$routingDoc/routingDestinations/destinations[@subjectCN=$CNString]/sslid/text()"/>
		<!-- -->
		<xsl:choose>
			<xsl:when test="$sslid">
				<dp:xset-target host="$host" port="$port" ssl="true()" sslid="{$sslid}"/>
				<xsl:message>
					<xsl:value-of select="concat('Routed to ', $host, ':', $port, 'sslid=', $sslid)"/>
				</xsl:message>
			</xsl:when>
			<xsl:otherwise>
				<xsl:message>
					<xsl:value-of select="concat('Routed to ', $host, ':', $port)"/>
				</xsl:message>
				<dp:xset-target host="$host" port="$port" ssl="false()"/>
			</xsl:otherwise>
		</xsl:choose>
		<!-- -->
	</xsl:template>
</xsl:stylesheet>
