<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:env="http://schemas.xmlsoap.org/soap/envelope/" xmlns:dp="http://www.datapower.com/extensions" extension-element-prefixes="dp" xmlns="">
	<!-- -->
	<xsl:template match="/">
		<!-- -->
		<!-- Capture information about the error -->
		<!-- this will be stored in a context variable for  -->
		<!-- later fetching by Error Rule  -->
		<!-- -->
		<xsl:variable name="error-code" select="dp:variable('var://service/error-code')"/>
		<xsl:variable name="error-headers" select="dp:variable('var://service/error-headers')"/>
		<xsl:variable name="error-message" select="dp:variable('var://service/error-message')"/>
		<xsl:variable name="error-protocol-reason-phrase" select="dp:variable('var://serviceerror-protocol-reason-phrase')"/>
		<xsl:variable name="error-protocol-response" select="dp:variable('var://service/error-protocol-response')"/>
		<xsl:variable name="error-subcode" select="dp:variable('var://service/error-subcode')"/>
		<!-- -->
		<!-- Format all the error data -->
		<!-- -->
		<xsl:variable name="errorInfo">
			<errorInfo>
				<error-code>
					<xsl:value-of select="$error-code"/>
				</error-code>
				<error-headers>
					<xsl:value-of select="$error-headers"/>
				</error-headers>
				<error-message>
					<xsl:value-of select="$error-message"/>
				</error-message>
				<error-protocol-reason-phrase>
					<xsl:value-of select="$error-protocol-reason-phrase"/>
				</error-protocol-reason-phrase>
				<error-protocol-response>
					<xsl:value-of select="$error-protocol-response"/>
				</error-protocol-response>
				<error-subcode>
					<xsl:value-of select="$error-subcode"/>
				</error-subcode>
			</errorInfo>
		</xsl:variable>
		<!-- -->
		<!-- Put all the error data in a variable -->
		<!-- -->
		<xsl:message>
			<xsl:value-of select="concat('errorInfo=', $errorInfo)"/>
		</xsl:message>
		<dp:set-variable name="'var://context/errorContext/errorInfo'" value="$errorInfo"/>
	</xsl:template>
	<!-- -->
</xsl:stylesheet>
